Package org.silverpeas.components.scheduleevent.service

# Class ScheduleEventServiceImpl

java.lang.Object
org.silverpeas.components.scheduleevent.service.ScheduleEventServiceImpl

All Implemented Interfaces:
  `ScheduleEventService`, `org.silverpeas.core.ApplicationService`

@Service @Named("scheduledEventService") public class ScheduleEventServiceImpl extends Object implements ScheduleEventService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScheduleEventServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createScheduleEvent(ScheduleEvent scheduleEvent)`
  `void`
  `deleteScheduleEvent(ScheduleEvent scheduleEvent)`
  `ScheduleEvent`
  `findScheduleEvent(String scheduleEventId)`
  `org.silverpeas.kernel.bundle.LocalizationBundle`
  `getComponentMessages(String language)`
  `org.silverpeas.kernel.bundle.SettingBundle`
  `getComponentSettings()`
  `Optional<ScheduleEvent>`
  `getContributionById(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)`
  `boolean`
  `isRelatedTo(String instanceId)`
  `Set<ScheduleEvent>`
  `listAllScheduleEventsByUserId(String userId)`
  `ScheduleEvent`
  `purgeOldResponseForUserId(ScheduleEvent scheduleEvent, int userId)`
  `void`
  `setLastVisited(ScheduleEvent event, int userId)`
  `void`
  `updateScheduleEvent(ScheduleEvent scheduleEvent)`
  `void`
  `updateScheduleEventStatus(String scheduleEventId, int newStatus)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScheduleEventServiceImpl

    public ScheduleEventServiceImpl()

- ## Method Details

  - ### createScheduleEvent

    public void createScheduleEvent(ScheduleEvent scheduleEvent)
    Specified by:
      `createScheduleEvent` in interface `ScheduleEventService`

  - ### deleteScheduleEvent

    public void deleteScheduleEvent(ScheduleEvent scheduleEvent)
    Specified by:
      `deleteScheduleEvent` in interface `ScheduleEventService`

  - ### findScheduleEvent

    public ScheduleEvent findScheduleEvent(String scheduleEventId)
    Specified by:
      `findScheduleEvent` in interface `ScheduleEventService`

  - ### listAllScheduleEventsByUserId

    public Set<ScheduleEvent> listAllScheduleEventsByUserId(String userId)
    Specified by:
      `listAllScheduleEventsByUserId` in interface `ScheduleEventService`

  - ### updateScheduleEventStatus

    public void updateScheduleEventStatus(String scheduleEventId, int newStatus)
    Specified by:
      `updateScheduleEventStatus` in interface `ScheduleEventService`

  - ### purgeOldResponseForUserId

    public ScheduleEvent purgeOldResponseForUserId(ScheduleEvent scheduleEvent, int userId)
    Specified by:
      `purgeOldResponseForUserId` in interface `ScheduleEventService`

  - ### updateScheduleEvent

    public void updateScheduleEvent(ScheduleEvent scheduleEvent)
    Specified by:
      `updateScheduleEvent` in interface `ScheduleEventService`

  - ### setLastVisited

    public void setLastVisited(ScheduleEvent event, int userId)
    Specified by:
      `setLastVisited` in interface `ScheduleEventService`

  - ### getContributionById

    public Optional<ScheduleEvent> getContributionById(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)
    Specified by:
      `getContributionById` in interface `org.silverpeas.core.ApplicationService`
    Specified by:
      `getContributionById` in interface `ScheduleEventService`

  - ### getComponentSettings

    public org.silverpeas.kernel.bundle.SettingBundle getComponentSettings()
    Specified by:
      `getComponentSettings` in interface `org.silverpeas.core.ApplicationService`

  - ### getComponentMessages

    public org.silverpeas.kernel.bundle.LocalizationBundle getComponentMessages(String language)
    Specified by:
      `getComponentMessages` in interface `org.silverpeas.core.ApplicationService`

  - ### isRelatedTo

    public boolean isRelatedTo(String instanceId)
    Specified by:
      `isRelatedTo` in interface `org.silverpeas.core.ApplicationService`